# Return a list of participation keys

GET

/v2/participation

Return a list of participation keys

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Responses

### 200

A list of participation keys

Select media type application/json

Array<object>

Represents a participation key used by the node.

object

**address**

required

Address the key was generated for.

string

**effective-first-valid**

When registered, this is the first round it may be used.

integer

**effective-last-valid**

When registered, this is the last round it may be used.

integer

**id**

required

The key’s ParticipationID.

string

**key**

required

AccountParticipation describes the parameters used by this account in consensus protocol.

object

**selection-participation-key**

required

[sel] Selection public key (if any) currently registered for this round.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**state-proof-key**

[stprf] Root of the state proof key (if any)

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**vote-first-valid**

required

[voteFst] First round for which this participation is valid.

integer

**vote-key-dilution**

required

[voteKD] Number of subkeys in each batch of participation keys.

integer

**vote-last-valid**

required

[voteLst] Last round for which this participation is valid.

integer

**vote-participation-key**

required

[vote] root participation public key (if any) currently registered for this round.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**last-block-proposal**

Round when this key was last used to propose a block.

integer

**last-state-proof**

Round when this key was last used to generate a state proof.

integer

**last-vote**

Round when this key was last used to vote.

integer

### 400

Bad Request

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### 401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### 404

Participation Key Not Found

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### 500

Internal Error

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### default

Unknown Error
